Bug 41777 - Window size reopening a document not like size when saved
Summary: Window size reopening a document not like size when saved
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 104325 127952 128512 (view as bug list)
Depends on:
Blocks: UI
  Show dependency treegraph
 
Reported: 2011-10-13 20:47 UTC by Shad Sterling
Modified: 2020-08-28 07:16 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shad Sterling 2011-10-13 20:47:55 UTC
When I open a document using the StartCenter, the document window retains the size and position of the StartCenter.  If I close the StartCenter and open the same document using the menu, the document window gets the size and position I want (the same as when I closed the file).

When opening a document, I expect the size and position of the document window to be the same regardless of which UI I used to open it.  When I open a document using the StartCenter, I want the size and position to be set the way it is when I open the file using the menu.
Comment 1 Rainer Bielefeld Retired 2011-10-13 22:57:25 UTC
Seems to be [Reproducible] with "LibreOffice 3.4.3  - WIN7 Home Premium (64bit) German UI [OOO340m1 (Build:302)]", but IMHO that's only a part of a bigger problem. And may be that details of the behavior are OS related-

AFAIK a document should be opened with the window size it had when it was closed.

My observatioons:
I had 2 Writr documents named 
- Landscape.odt (in a low wide window)
- Poortrait.odt (in a high narrow window)

After closing LibO and opening one of those documents from WIN Explorer:
 Expected: document opens with window size it had when closing
 Actual: document opens with window size the last closed document had when 
         closing. That means when I closed "Portrait.odt" as the last one 
         terminating LibO and then restart LibO opening "Landscape.odt" from
         Explorer, "Landscape.odt" opens with Portrait.odt window size. All
         further documents I open from explorer will be opened with 
         Portrait.odt window size. 
         Seems to be so for documents opened from LibO
         "recent documents"
         Also during a LibO session documents will be reopened (Recent 
         documents) with window size of latest saved / closed document,
         not with latest original document size.

LibO expects the start center to be a normal document, when you terminate LibO closing the Start Center as last LibO element, documents will be reopened with Start Center window size, if you closed a reall document as last LibO element documents will be reopened with window size of that last document.

The positioning of the reopen window seems to have different rules, currently I do not know the rules

All the same with OOo 3.1.1, seems to be OOo heritage.

@Shad Sterling:
Can you confirm my investigation details?
Comment 2 Shad Sterling 2011-11-13 11:00:38 UTC
I haven't tested different cases, but when I have 3 windows open with different sizes/shapes and positions, close LibO, and reopen via Finder on the same 2 files, The files all seem to have the same size/shape as the last one to close (which, in this case, prompted to save after the others were closed) with a different one of them in the same position as the last closed (in this case the lower right) and the other two on top of eachother in a different position (at the upper left, which puts the upper-left corner of each in the same place as when closed).
Comment 3 Björn Michaelsen 2011-12-23 13:23:28 UTC
Since all new unconfirmed bugs start in state UNCONFIRMED now and old unconfirmed bugs were moved to NEEDINFO with a explanatory comment, all bugs promoted above those bug states to NEW and later are automatically confirmed making the CONFIRMED whiteboard status redundant. Thus it will be removed.
Comment 4 QA Administrators 2014-06-25 17:38:02 UTC Comment hidden (obsolete)
Comment 5 Shad Sterling 2014-07-04 16:48:27 UTC
LibreOffice 4.2.5.2 on Mac OS X 10.9.4

--- Summary:

The behavior has changed in 4.2.5, but it is still inconsistent (just differently inconsistent), and still does not work as desired.

Instead of depending on how the file is opened, the document window size & position now depends on weather or not the StartCenter is open when the file is opened.

The desired behavior is (still) for the document window to open with the same size & position as when the same document file was most recently closed.

--- Detail:

I upgraded from 4.2.4 to 4.2.5 to test this with the current version.

After closing all documents, then closing LibreOffice, LibreOffice launches with the StartCenter as the only window.

Opening the most recently closed document from the StartCenter appears to open the document in the same window; the StartCenter disappears and the document window has the same size and position that the StartCenter had.

Leaving the StartCenter open and opening the file from either the Recent Files menu or the Open Document dialog does the same thing, as does switching to and opening the file from Finder.

Closing the StartCenter and then opening the file in any of the same three ways appears to open the document to the same size and position that it had when closed.  Opening the file from Finder was significantly slower, even though LibreOffice was already open - it appeared to wait until I clicked on a menu (to make sure it was still responding at all) before loading the file; this was not the case when the StartCenter was left open.

If I close LibreOffice with one document still open, LibreOffice still launches with the StartCenter as the only window, and reopening the same file has the same behavior as when I closed the document before closing LibreOffice (right down to waiting for me to click a window when opening the file from Finder).

If I open the same file from Finder when LibreOffice is not already open, LibreOffice launches with that document as the only window (no StartCenter), and the document window has the same size and position that it had when closed.  This is the same as opening from Finder when LibreOffice is open and the StartCenter is closed, except that it does not wait for a click before opening the file.

I did not test multiple document behavior, such as @Rainer Bielefeld Retired's Landscape and Poortrait scenario.  I separated tests for having closed the document first from having closed LibO with the document open because when I first launched 4.2.5 I opened the document from the StartCenter and then saw that there were two windows open for the same file, which I thought might have been related to the file being open when I last closed 4.2.4 (now that does not seem to be the case).
Comment 6 Shad Sterling 2014-07-04 16:57:31 UTC
Naturally, right after I wrote that, I switched back to LibreOffice and opened another file that had been open earlier today.  It also did not open to the same window size and position as when it was last closed, but to the same size as the one existing window positioned in front of the existing window and offset down and to the right each by the height of the window title.
Comment 7 QA Administrators 2015-07-18 17:43:45 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2016-09-20 10:17:56 UTC Comment hidden (obsolete)
Comment 9 Alex Thurgood 2016-12-02 11:34:21 UTC
*** Bug 104325 has been marked as a duplicate of this bug. ***
Comment 10 Alex Thurgood 2016-12-02 11:35:12 UTC
Also present on MacOS, in latest 5233 and master 540 alpha
Comment 11 Shad Sterling 2016-12-02 19:31:03 UTC
I'm not sure Bug 104325 is a duplicate; it's about creating a new document, this bug is about reopening an existing document.  They're related, but I'm sure they're the same.
Comment 12 Shad Sterling 2016-12-02 22:46:00 UTC
Typo in last comment, I meant to say I'm NOT sure they're the same.  In case that wasn't clear.
Comment 13 QA Administrators 2017-12-03 18:57:16 UTC Comment hidden (obsolete)
Comment 14 Telesto 2017-12-03 21:07:29 UTC
Repro
Version: 6.1.0.0.alpha0+
Build ID: cc1db6f2b0ebe05ae807628778835b62df00eca2
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-12-02_23:45:34
Locale: nl-NL (nl_NL); Calc: CL
Comment 15 QA Administrators 2019-10-07 03:03:55 UTC Comment hidden (obsolete)
Comment 16 Shad Sterling 2019-10-09 22:38:54 UTC
Still present in 6.2.5.

Version: 6.2.5.2
Build ID: 1ec314fa52f458adc18c4f025c545a4e8b22c159
CPU threads: 12; OS: Mac OS X 10.14.6; UI render: default; VCL: osx; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 17 Alex Thurgood 2019-10-31 16:17:28 UTC
Seems like bug 128512 is a DUP of this report.
Comment 18 Christian Lehmann 2019-11-04 11:08:41 UTC
Kubuntu 18.04, LO 6.3.2.2.
I now have reproduced the thorough investigation first started by Shad. The results confirm his observations: The size and placement of the window of an LO component in which a file is displayed upon opening it depends on the opening method:

1) If you first open the LO Start Center and click on one of the file icons shown, the file is displayed in the Start Center window, ignoring the coordinates that the window of this file had last time. And the coordinates of the Start Center window are always preserved.

2) There are (at least) two ways of foregoing the Start Center:
a) Either use the File > Open (recent document) menu
b) or double click, in your file manager (Dolphin my case) on the particular file.

Opening a file in either of these latter ways displays it with the window coordinates it had when last saved. There is, however, one exception: If, while using method #2b, the Start Center is open, then the result is as for #1.

All of this is inconsistent and confusing. I concur with the other bug reporters on the request that each LO component should remember, for each of the files recently opened in it, the coordinates of each window that the file was displayed in; and this regardless of the way that the user opened the file. As long as this is not fixed, the advice for the user is to not use the LO Start Center.
Comment 19 Alex Thurgood 2019-11-13 07:23:38 UTC
*** Bug 127952 has been marked as a duplicate of this bug. ***
Comment 20 Alex Thurgood 2019-11-13 07:28:23 UTC
*** Bug 128512 has been marked as a duplicate of this bug. ***